﻿<style>
#timezones, #timezonesdesc
{
	font-family: Verdana, "Lucida Grande", Sans-Serif;
	font-size: 11px;
	margin: 15px;
	width: 580px;
	text-align: left;
	border-collapse: collapse;
	border: 1px solid #69c;
}

#timezones td, #timezonesdesc td
{
	padding: 6px 15px 6px 15px;
	color: #669;
}
#timezones tbody tr:hover td, #timezonesdesc tbody tr:hover td
{
	color: #339;
	background: #d0dafd;
}

#timezones thead td, #timezonesdesc thead td
{
	color: #fff;
	background: #576DA5;
}

#timezones caption, #timezonesdesc caption
{
	font-size: 13px;
	color: #576DA5;
	padding:20px;
}

pre
{
	font-family: Verdana, "Lucida Grande", Sans-Serif;
	font-size: 11px;
	color: #669;
	margin: 15px;
}

pre p
{
	font-weight:bold;
}


</style>

<?php

include_once("TimezonesClass.php");

$zones = new TimezonesClass();

$timezones = $zones->getTimeZonesIdentifier();

$content = '';

foreach ($timezones as $key => $value) {
	
	date_default_timezone_set($value);
	
	$content .= '<tr>';
	$content .= '	<td>'.$key.'</td>';
	$content .= '	<td>'.$value.'</td>';
	$content .= '	<td>'.date("d.m.Y H:i").'</td>';
	$content .= '</tr>';
	
}

?>

<table id="timezones">
	<caption>Zeitzonen</caption>
	<thead>
		<tr>
			<td>Verschiebung</td>
			<td>Zone</td>
			<td>Uhrzeit</td>
		</tr>
	</thead>
	<tbody>
		<?php echo $content; ?>	
	</tbody>
</table>



<?php
$description = $zones->getTimeZonesDescription();

$content = '';

foreach ($description as $key => $value) {
	
	$content .= '<tr>';
	$content .= '	<td>'.$value.'</td>';
	$content .= '</tr>';
	
}
?>

<table id="timezonesdesc">
	<caption>Zeitzonenbeschreibung</caption>
	<thead>
		<tr>
			<td>Beschreibung</td>
		</tr>
	</thead>
	<tbody>
		<?php echo $content; ?>	
	</tbody>
</table>


<pre>
<p>Zeitunterschied "America/Denver" => "Europe/Dublin"</p>
<?php
$ausgabe = $zones->get_timezone_difference("America/Denver", "Europe/Dublin");
print_r($ausgabe);
?>

</pre>

<pre>
<p>Zeitunterschied "Europe/Dublin" => "America/Denver"</p>
<?php
$ausgabe = $zones->get_timezone_difference("Europe/Dublin", "America/Denver");
print_r($ausgabe);
?>
</pre>